
CoCoALib - Bug #1211

HilbertSeries should check grading

03 Aug 2018 17:20 - Anna Maria Bigatti

Status: Closed Start date: 03 Aug 2018

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 2.00 hours

Target version: CoCoALib-0.99650 November 2019 Spent time: 1.60 hour

Description

/**/ R := NewPolyRing(QQ, "x,y,z", MakeTermOrd(RowMat([2,3,0])), 1);

/**/ use R;  HilbertSeries(R/ideal(z));

it computes it, embarrassing....   

2019-10-02 even more embarrassing: I had written the wrong test!!  Now that I fixed the test above I see that it actually gave indeed

an error, but an incomprehensible error

Related issues:

Related to CoCoALib - Feature #1209: New function: HasPositiveGrading Closed 03 Aug 2018

History

#1 - 03 Aug 2018 17:20 - Anna Maria Bigatti

- Related to Feature #1209: New function: HasPositiveGrading added

#2 - 23 Sep 2019 11:49 - John Abbott

JAA confirms that this bug still exists in the current build (2019-09-23).

#3 - 02 Oct 2019 12:07 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Feedback

fixed using HasPositiveGrading, and proper testing.

#4 - 02 Oct 2019 12:07 - Anna Maria Bigatti

- % Done changed from 10 to 90

The problem is testing it...

#5 - 03 Oct 2019 10:37 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

added a test in CoCoA-5/tests/ErrMesg.cocoa5

closed
